Subject: Re: [PATCH 3/4] atl1: Main C file for Attansic L1 driver

From: Jeff Garzik <[email-masked]>
Date: Mon, 20 Nov 2006 17:04:04 -0500

Stephen Hemminger wrote:
> What I would like is for the mii core to maintain the bits (like advertising)
> in the mii structure and if not running, it should just change the offline
> copy, then when link is brought up use the changes that were requested while
> link was down. Understand?
> 
> That's why in the skge/sky2, I keep state bits and don't apply them until
> link is started. If mii (and phylib) did this, I could use them; but as it
> is they require PHY to be powered all the time.

You have the power to change it :)  But need to review the other drivers 
to assess the impact of the change, of course.

	Jeff